use crate::error::CustomError;

use super::Object;

#[derive(Debug)]
pub(crate) struct Heading {
    title: Vec<Object>,
}

impl Heading {
    pub(crate) fn new(heading: &organic::types::Heading<'_>) -> Result<Heading, CustomError> {
        let title = heading
            .title
            .iter()
            .map(Object::new)
            .collect::<Result<Vec<_>, _>>()?;
        Ok(Heading { title })
    }
}
